2019-10-16 11:36 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001378FSSCPDirectXpublic2007-10-29 15:56
ReporterRiSiNg 
Assigned Totaylor 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001378: DirectSoundCapture
DescriptionWhen i am trying to set up microphone (mic test) some text: DirectSoundCapture could not be initialized.... I have latest DirectX version (9.0c) and latest sound card drivers for my card (Realtek AC97) so where is problem ?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008371

phreak (developer)

are you able to record sounds outside of FS2? The best way to try is to go to "Start->Programs->Accessories->Sound Recorder" and see if you can record from there.

~0008373

RiSiNg (reporter)

Yes, my microphone works fully with Windows Sound Recorder, communication software, and all games.

~0008384

phreak (developer)

Now that I think about it (and look at the code), we got rid of DirectSound in favor of OpenAL (since it can be run on Mac/Linux). Nobody has written anything to capture the sound using OpenAL (although it should be possible)

~0008386

RiSiNg (reporter)

I think that this game would be better and more interesting with ability of voice communication between players, but still it would be only one more drip in sea of so GREAT game.

~0008586

taylor (administrator)

Technically DirectSound and DirectSoundCapture are separate, so there is really no reason that we can't still use DirectSoundCapture while replacing DirectSound with OpenAL. Currently that isn't possible, but the changes are minor and I'll start working on the code to get this issue resolved.

~0008596

taylor (administrator)

I haven't actually tested it yet, but see if it's working again in this build:
http://fs2source.warpcore.org/exes/latest/taylor/20071028-win32.rar

~0008614

taylor (administrator)

Should be fixed. Reopen this bug if for some reason it's not working.


Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-04-15 18:03 RiSiNg New Issue
2007-04-20 14:49 RiSiNg File Added: dscunk.JPG
2007-08-13 02:24 phreak Note Added: 0008371
2007-08-13 08:44 RiSiNg Note Added: 0008373
2007-08-16 00:45 phreak Status new => assigned
2007-08-16 00:45 phreak Assigned To => phreak
2007-08-16 00:53 phreak Note Added: 0008384
2007-08-16 02:07 RiSiNg Note Added: 0008386
2007-10-22 00:49 taylor Note Added: 0008586
2007-10-22 00:49 taylor Assigned To phreak => taylor
2007-10-28 06:15 taylor Note Added: 0008596
2007-10-29 15:56 taylor Status assigned => resolved
2007-10-29 15:56 taylor Fixed in Version => 3.6.10
2007-10-29 15:56 taylor Resolution open => fixed
2007-10-29 15:56 taylor Note Added: 0008614
+Issue History